package org.artisanlogiciel.games.maze;

import org.artisanlogiciel.games.minetest.Range;

import java.util.HashMap;

public class LabyLayers
extends Range
{
    HashMap<Integer,LabyModel> layers = new HashMap<>();

    public LabyLayers()
    {
        super();
    }
    public void addLabyModel(int z, LabyModel model)
    {
        updateBounds(z);
        layers.put(new Integer(z), model);
    }

    public LabyModel getLayer(int z)
    {
        return layers.get(new Integer(z));
    }
}
